import { h } from "@stencil/core";
import { formatDate } from "../../../utils/utils";
export class SpwCardContent {
    render() {
        return (h("div", { key: '66ceb610e7cb0b66d4aa8287f75f698840a50819', class: "spw-card-content" }, this.tag && h("span", { key: '51e3aa55120ee1ae99fc37843a8cd1d118418b63', class: "spw-card-content__tag" }, this.tag), this.date && (h("time", { key: 'e507fba4526c323f520378e711da8418c3c4b929', "date-time": this.date, class: "spw-card-content__date" }, formatDate(this.date))), h("slot", { key: '104ffaf30fd8c9a3b1d274141971a7c747894fad' })));
    }
    static get is() { return "spw-card-content"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["spw-card-content.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["spw-card-content.css"]
        };
    }
    static get properties() {
        return {
            "tag": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": "Tag sp\u00E9cifi\u00E9 dans la carte"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "attribute": "tag"
            },
            "date": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": "Date de publication"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "attribute": "date"
            }
        };
    }
    static get states() {
        return {
            "hasImage": {}
        };
    }
    static get elementRef() { return "el"; }
}
